<?
if(isset($_GET['mygarden']) && isset($_GET['plug']) && intval($_GET['plug'])!=NULL && mysql_result(mysql_querll("SELECT COUNT(*) FROM `kolhoz_sad` WHERE `id` = '".intval($_GET['plug'])."' AND `id_user` = '$ku[id]' AND `id_tree` = '0' AND (`time` = '$time' OR `time` < '$time') AND `plug` = '0'"),0)!=0)
{
$sad=mysql_fetch_array(mysql_querll("SELECT * FROM `kolhoz_sad` WHERE `id` = '".intval($_GET['plug'])."' AND `id_user` = '$ku[id]' AND `id_tree` = '0' AND (`time` = '$time' OR `time` < '$time') AND `plug` = '0'"));
$rat=1;
$rat_drakon_act=0;
$rat_sc_act=0;
$rat_cultivator_act=0;
$rat_school_act=0;
$rat_lib_act=0;
if(isset($sc_act))$rat_sc_act=$rat*2;
if(isset($cultivator_act))$rat_cultivator_act=(($rat/100)*$cultivator_act);
if(isset($drakon_act))$rat_drakon_act=(($rat/100)*300);
if(isset($school_act))$rat_school_act=$rat*2;
if(isset($lib_act))$rat_lib_act=$rat*2;
if(isset($shmel_act))$rat_cultivator_act=$rat_cultivator_act*2;
$ratt=$rat_drakon_act+$rat_sc_act+$rat_cultivator_act+$rat_school_act+$rat_lib_act;
if($ratt==0)$rat=$rat;
else $rat=$ratt;
if(isset($dexp))$rat=$rat*2;
mysql_querll("UPDATE `kolhoz_sad` SET `plug` = '1' WHERE `id` = '".intval($_GET['plug'])."' LIMIT 1");
mysql_querll("UPDATE `kolhoz_user` SET `rating` = '".($ku['rating']+$rat)."' WHERE `id` = '$ku[id]'");
$_SESSION['rating']=$rat;
update_mc($rat);
header("Location:?mygarden&".passgen());
exit;
}
?>